Package ru.bitel.bgbilling.modules.cerbercrypt.common.bean

# Class UserCard

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.cerbercrypt.common.bean.UserCard

All Implemented Interfaces:
  `java.io.Serializable`, `GuiTitlable`, `Idable`, `ListItem`

    public class UserCard
    extends Id
    implements GuiTitlable, ListItem

Класс-модель "Карта пользователя". Это карта с привязкой к договору отражает сущность user_card_{mid}

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected int` | `basecardId` |
  `protected java.lang.String` | `basecardTitle` |
  `protected java.lang.String` | `comment` |
  `protected int` | `contractId` |
  `protected java.util.Date` | `date1` |
  `protected java.util.Date` | `date2` |
  `static UserCard` | `NULL` |
  `protected long` | `number` |
  `protected int` | `slavecardsNumber` |
  `protected java.util.Date` | `subscrDate` |

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `UserCard()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `equals​(java.lang.Object obj)` |
  `java.lang.String` | `format()` | Возвращает номер карты в формате 000000.
  `int` | `getBasecardId()` | Ид базовой карты для этой карты, если есть (мультирум).
  `java.lang.String` | `getBasecardTitle()` | Титле столбца мультирума.
  `java.lang.String` | `getComment()` | Возвращает комментарий.
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitleComment()` |
  `java.util.Date` | `getDate1()` | Возвращает дату начало периода действия карты.
  `java.util.Date` | `getDate2()` | Возвращает дату окончания периода действия карты.
  `java.lang.String` | `getGuiTitle()` | Уникальная строка - имя объекта.
  `long` | `getNumber()` | Возвращает номер карты.
  `int` | `getObjectId()` | Возвращает код объекта договора
  `java.lang.String` | `getPairingModule()` |
  `int` | `getSlavecardsNumber()` | Количество зависимых карт.
  `java.util.Date` | `getSubscrDate()` | Возвращает дату с которой возможна подписка по карте через вэб.
  `java.lang.String` | `getTitle()` |
  `int` | `getUserdeviceId()` | Возвращает код устройства юзера для этой юзер_карты.
  `java.lang.String` | `getUserdeviceSN()` |
  `boolean` | `isNeedSync()` | Флаг того, что карта требует синхронизации (была изменена, но не была успешно синхронизирована)
  `void` | `setBasecardId​(int basecardId)` | Ид базовой карты для этой карты, если есть (мультирум).
  `void` | `setBasecardTitle​(java.lang.String basecardTitle)` | Титле столбца мультирума.
  `void` | `setComment​(java.lang.String comment)` | Устанавливает комментарий.
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitleComment​(java.lang.String contractTitleComment)` |
  `void` | `setDate1​(java.util.Date date1)` | Устанавливает дату начала периода действия карты.
  `void` | `setDate2​(java.util.Date date2)` | Устанавливает дату окончания периода действия карты.
  `void` | `setNeedSync​(boolean needSync)` | Установка флага того, что карта требует синхронизации (была изменена).
  `void` | `setNumber​(long number)` | Устанавливает номер карты.
  `void` | `setObjectId​(int objectId)` | Устанавливает привязку к объектам договора
  `void` | `setPairingModule​(java.lang.String pairingModule)` |
  `void` | `setSlavecardsNumber​(int slavecardsNumber)` | Количество зависимых карт.
  `void` | `setSubscrDate​(java.util.Date changeSubscrDate)` | Устанавливает дату с которой возможна подписка по карте через вэб.
  `void` | `setUserdeviceId​(int userdeviceId)` | Устанавливает код устройства юзера для этой юзер_карты.
  `void` | `setUserdeviceSN​(java.lang.String userdeviceSN)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### NULL

    public static final UserCard NULL

  - ### contractId

    protected int contractId

  - ### number

    protected long number

  - ### date1

    protected java.util.Date date1

  - ### date2

    protected java.util.Date date2

  - ### subscrDate

    protected java.util.Date subscrDate

  - ### comment

    protected java.lang.String comment

  - ### basecardId

    protected int basecardId

  - ### basecardTitle

    protected java.lang.String basecardTitle

  - ### slavecardsNumber

    protected int slavecardsNumber

- ## Constructor Details

  - ### UserCard

    public UserCard()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()
    Возвращает комментарий.
    Returns:
      комментарий

  - ### setComment

    public void setComment​(java.lang.String comment)
    Устанавливает комментарий.
    Parameters:
      `comment` -

  - ### getDate1

    public java.util.Date getDate1()
    Возвращает дату начало периода действия карты.
    Returns:
      дата начала периода

  - ### setDate1

    public void setDate1​(java.util.Date date1)
    Устанавливает дату начала периода действия карты.
    Parameters:
      `date1` -

  - ### getDate2

    public java.util.Date getDate2()
    Возвращает дату окончания периода действия карты.
    Returns:
      дата окончания периода

  - ### setDate2

    public void setDate2​(java.util.Date date2)
    Устанавливает дату окончания периода действия карты.
    Parameters:
      `date2` -

  - ### getNumber

    public long getNumber()
    Возвращает номер карты.
    Returns:
      номер карты

  - ### setNumber

    public void setNumber​(long number)
    Устанавливает номер карты.
    Parameters:
      `number` -

  - ### getSubscrDate

    public java.util.Date getSubscrDate()
    Возвращает дату с которой возможна подписка по карте через вэб.
    Returns:
      дата подписки

  - ### setSubscrDate

    public void setSubscrDate​(java.util.Date changeSubscrDate)
    Устанавливает дату с которой возможна подписка по карте через вэб.
    Parameters:
      `changeSubscrDate` -

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### format

    public java.lang.String format()
    Возвращает номер карты в формате 000000.
    Returns:
      номер карты

  - ### getBasecardId

    public int getBasecardId()
    Ид базовой карты для этой карты, если есть (мультирум).
    Returns:
      id карты (не номер)

  - ### setBasecardId

    public void setBasecardId​(int basecardId)
    Ид базовой карты для этой карты, если есть (мультирум).
    Parameters:
      `basecardId` - ID карты (не номер)

  - ### getBasecardTitle

    public java.lang.String getBasecardTitle()
    Титле столбца мультирума.
    Returns:
      содержимое столбца про мультирум (фиктивный столбец, в таблице нету)

  - ### setBasecardTitle

    public void setBasecardTitle​(java.lang.String basecardTitle)
    Титле столбца мультирума.
    Parameters:
      `basecardTitle` - содержимое столбца про мультирум (фиктивный столбец, в таблице нету)

  - ### getSlavecardsNumber

    public int getSlavecardsNumber()
    Количество зависимых карт. Относится к мультируму итд.
    Returns:
      количество зависимых карт к этой карте (фиктивный столбец, в БД нету)

  - ### setSlavecardsNumber

    public void setSlavecardsNumber​(int slavecardsNumber)
    Количество зависимых карт. Относится к мультируму итд.
    Parameters:
      `slavecardsNumber` - количество зависимых карт к этой карте (фиктивный столбец, в БД нету)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `Id`

  - ### equals

    public boolean equals​(java.lang.Object obj)
    Overrides:
      `equals` in class `Id`

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Уникальная строка - имя объекта. Используется для комбобоксов.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Уникальная строка - имя объекта.

  - ### setObjectId

    public void setObjectId​(int objectId)
    Устанавливает привязку к объектам договора
    Parameters:
      `objectId` - код объекта договора

  - ### getObjectId

    public int getObjectId()
    Возвращает код объекта договора
    Returns:
      код объекта

  - ### setUserdeviceId

    public void setUserdeviceId​(int userdeviceId)
    Устанавливает код устройства юзера для этой юзер_карты.
    Parameters:
      `userdeviceId` - ид

  - ### getUserdeviceId

    public int getUserdeviceId()
    Возвращает код устройства юзера для этой юзер_карты.
    Returns:
      ид

  - ### isNeedSync

    public boolean isNeedSync()
    Флаг того, что карта требует синхронизации (была изменена, но не была успешно синхронизирована)

  - ### setNeedSync

    public void setNeedSync​(boolean needSync)
    Установка флага того, что карта требует синхронизации (была изменена).

  - ### getContractTitleComment

    public java.lang.String getContractTitleComment()

  - ### setContractTitleComment

    public void setContractTitleComment​(java.lang.String contractTitleComment)

  - ### getTitle

    public java.lang.String getTitle()
    Specified by:
      `getTitle` in interface `ListItem`

  - ### getPairingModule

    public java.lang.String getPairingModule()

  - ### setPairingModule

    public void setPairingModule​(java.lang.String pairingModule)

  - ### getUserdeviceSN

    public java.lang.String getUserdeviceSN()

  - ### setUserdeviceSN

    public void setUserdeviceSN​(java.lang.String userdeviceSN)